import winston from 'winston';
export interface LogMessage {
    key?: string;
    message: string;
    level: number;
    timestamp?: Date;
}
export interface ILogger {
    log(info: LogMessage): void;
    info(msg: string, key?: string): void;
    warn(msg: string, key?: string): void;
    error(msg: string, key?: string): void;
    debug(msg: string, key?: string): void;
}
export interface LoggerService {
    logger: winston.Logger;
}
export declare class WinstonLoggerService implements LoggerService {
    constructor();
    logger: winston.Logger;
}
