"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WinstonLoggerService = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const winston_1 = tslib_1.__importDefault(require("winston"));
let WinstonLoggerService = class WinstonLoggerService {
    constructor( /* Add @inject to inject parameters */) {
        this.logger = winston_1.default.createLogger({
            level: 'info',
            format: winston_1.default.format.combine(winston_1.default.format.timestamp(), winston_1.default.format.json()),
            transports: [
                new winston_1.default.transports.Console({
                    format: winston_1.default.format.combine(winston_1.default.format.colorize(), winston_1.default.format.printf(info => {
                        return `[${info.timestamp}]  ${info.level}: ${info.message}`;
                    })),
                }),
            ],
        });
    }
};
WinstonLoggerService = tslib_1.__decorate([
    (0, core_1.injectable)({ scope: core_1.BindingScope.TRANSIENT }),
    tslib_1.__metadata("design:paramtypes", [])
], WinstonLoggerService);
exports.WinstonLoggerService = WinstonLoggerService;
//# sourceMappingURL=winston-logger.service.js.map