import { Count, DataObject, Entity, juggler, Where } from '@loopback/repository';
import { Options } from 'loopback-datasource-juggler';
import { AuthUser, UserModifiableEntity } from '../models';
import { DefaultSoftCrudRepository } from './default-soft-crud.repository.base';
export declare abstract class DefaultUserModifyRepository<T extends UserModifiableEntity, ID, Relations extends object = {}> extends DefaultSoftCrudRepository<T, ID, Relations> {
    protected readonly currentUser: AuthUser;
    constructor(entityClass: typeof Entity & {
        prototype: T;
    }, dataSource: juggler.DataSource, currentUser: AuthUser);
    create(entity: DataObject<T>, options?: Options): Promise<T>;
    createAll(entities: DataObject<T>[], options?: Options): Promise<T[]>;
    save(entity: T, options?: Options): Promise<T>;
    update(entity: T, options?: Options): Promise<void>;
    updateAll(data: DataObject<T>, where?: Where<T>, options?: Options): Promise<Count>;
    updateById(id: ID, data: DataObject<T>, options?: Options): Promise<void>;
    replaceById(id: ID, data: DataObject<T>, options?: Options): Promise<void>;
}
